complexType "SensitivitySet"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-valuation-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | name?, definitionReference?, sensitivity*
</...>

Content Model Elements (3):

  definitionReference, name (in sensitivitySet), | sensitivity

All Direct / Indirect Based Elements (1):

  sensitivitySet

Known Usage Locations

- As direct type of elements (1):
  sensitivitySet

Annotation
A collection of sensitivities. References a definition that explains the meaning/type of the sensitivities.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="SensitivitySet"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"/> <xsd:element minOccurs="0" name="definitionReference" type="SensitivitySetDefinitionReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivity" type="Sensitivity"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
definitionReference

  Type: | SensitivitySetDefinitionReference, empty content

  A reference to a sensitivity set definition.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="definitionReference" type="SensitivitySetDefinitionReference"/>

name

  Type: | xsd:string, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:string"/>

sensitivity

  Type: | Sensitivity, simple content

  Simple Content

  xsd:decimal

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivity" type="Sensitivity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.